summaryrefslogtreecommitdiffstats
path: root/jjb/scripts
diff options
context:
space:
mode:
authorEd Kern <ejk@cisco.com>2018-02-15 09:01:22 -0700
committerEd Kern <ejk@cisco.com>2018-02-15 09:55:57 -0700
commitfa52db517486abc99e1abc920340ee0b03a77929 (patch)
tree1654627c3afaf35559541ffba65c85e5ff3f4f63 /jjb/scripts
parent1db7e619d73721023c5ed4df5f5d5ec37a5f0e98 (diff)
VPP: add pkg and pip list for csit builds
Change-Id: Ib41bdffa79e6ff0551ec8fd4d96cbd2da5c4b052 Signed-off-by: Ed Kern <ejk@cisco.com>
Diffstat (limited to 'jjb/scripts')
-rw-r--r--jjb/scripts/setup_vpp_ubuntu_docker_test.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/jjb/scripts/setup_vpp_ubuntu_docker_test.sh b/jjb/scripts/setup_vpp_ubuntu_docker_test.sh
index 41c8dd6ef..1828174cf 100644
--- a/jjb/scripts/setup_vpp_ubuntu_docker_test.sh
+++ b/jjb/scripts/setup_vpp_ubuntu_docker_test.sh
@@ -9,6 +9,25 @@
##############################################################################
set -e -o pipefail
+OS_ID=$(grep '^ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
+
if ! [ -z ${DOCKER_TEST} ] ; then
mount -o remount /dev/shm -o size=512M || true
+ echo "/dev/shm remounted"
+fi
+
+if [ "${OS_ID}" == "ubuntu" ]; then
+ dpkg-query -W -f='${binary:Package}\t${Version}\n'
+ pip list
+elif [ "${OS_ID}" == "centos" ]; then
+ yum list installed
+ pip list
+elif [ "${OS_ID}" == "opensuse" ]; then
+ yum list installed
+ pip list
fi
+if [ "x${IS_CSIT_VPP_JOB}" == "xTrue" ]; then
+ (cd dpdk ; apt-get download vpp-dpdk-dkms > /dev/null 2>&1) || true
+ ls -l dpdk/*.deb || true
+ echo "csit vpp-dpdk-dkms package download"
+fi \ No newline at end of file